# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cucumber/formatter/oneline/version'

Gem::Specification.new do |spec|
  spec.name          = 'cucumber-formatter-oneline'
  spec.version       = Cucumber::Formatter::Oneline::VERSION
  spec.authors       = ['Tim Harvey', 'Dan Buch']
  spec.email         = ['not-tims-email@example.org', 'd.buch@modcloth.com']
  spec.description   = %q{A formatter for Cucumber that uses single lines!}
  spec.summary       = %q{A formatter for Cucumber that uses single lines!}
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  # TODO get this working with cucumber>=1.3
  spec.add_runtime_dependency 'cucumber', (ENV['CUCUMBER_VERSION'] || '~>1.1.4')

  spec.add_development_dependency 'bundler', '~>1.3'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
end
